Bug 483781 - Call to the maintainer of ardour
Call to the maintainer of ardour
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ardour (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 11:06 EST by Orcan Ogetbil
Modified: 2009-04-14 16:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 05:36:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-02-03 11:06:26 EST
I'm sorry Anthony, I tried to get a hold of you by different means (private email, email to fedora-music ML, AudioCreation wiki page, pkgdb requests, IRC, asked people at fedora-devel) but I didn't get a reply. I opened this bug as the last resort.

I need to bring a few issues into your attention:

- Ardour in rawhide needs updated to the latest upstream version.
- I can do this if you could grant me permission in pkgdb (requests already made)

Also, I finished working on packaging hydrogen-0.9.4beta2. I want to submit this to rawhide and to F-10 testing (and keep it in testing for a while). Hydrogen 0.9.4 comes with great enhancements over 0.9.3. But I wanted to ask for your permission to do this update, since you are the primary maintainer. You gave me pkgdb permissions before, so all I need is "It's OK" or "It's not OK".

Here you can find a working copy of this update:
http://oget.fedorapeople.org/hydrogen/
Comment 1 Orcan Ogetbil 2009-02-13 15:55:45 EST
Anthony, since 
- the current hydrogen does not compile against gcc-4.4, which will be in rawhide very soon, 
- hydrogen-0.9.3 is not supported by upstream anymore, and
- hydrogen-0.9.4-beta3 is out, and is quite stable
I am updating hydrogen on rawhide. I'll also submit it to F-10 updates-testing.

I tried to get a hold of you many times by different means during the last month. I wish we had an opportunity to discuss things.

Ardour, which also needs updated to the latest version, will be broken too after rawhide switches to gcc-4.4 . I can try to fix things out if you grant me access on pkgdb.
Comment 2 Orcan Ogetbil 2009-02-22 02:58:18 EST
Ping? Do you read this bug at all?
Comment 3 Hans de Goede 2009-02-22 04:58:54 EST
(In reply to comment #2)
> Ping? Do you read this bug at all?

Hi orcan,

I'm a co-maintainer of ardour. I don't know why Anthony is not responding, that is not how I know him to behave normally.

Anyways as a co-maintainer I hereby give you an ok to rebase ardour to the latest upstream. Unfortunately I normally do not request approve ACL rights as co-maintainer as in my experience that usually is not needed. So I cannot approve your pkgdb requests. If you can put a ready to import SRPM of the new ardour somewhere I'll import it.

I see you already have co-maintainer rights for hydrogen, I would say go ahead and update that too (atleast in rawhide, note I'm not a hydrogen co-maintainer).

As for Anthony not responding, chances are he has his bugzilla mail filtered in to a folder. Have you tried sending him a direct mail?

p.s.

I think it is great you are working on all this media production stuff for Fedora!
Comment 4 Orcan Ogetbil 2009-02-22 11:27:30 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Ping? Do you read this bug at all?
> 
> Hi orcan,
> 
> I'm a co-maintainer of ardour. I don't know why Anthony is not responding, that
> is not how I know him to behave normally.
> 

I don't know him much but I hope he's doing fine.

> Anyways as a co-maintainer I hereby give you an ok to rebase ardour to the
> latest upstream. Unfortunately I normally do not request approve ACL rights as
> co-maintainer as in my experience that usually is not needed. So I cannot
> approve your pkgdb requests. If you can put a ready to import SRPM of the new
> ardour somewhere I'll import it.
> 

OK, I'll work on it. Thank you Hans.

> I see you already have co-maintainer rights for hydrogen, I would say go ahead
> and update that too (atleast in rawhide, note I'm not a hydrogen
> co-maintainer).
> 
> As for Anthony not responding, chances are he has his bugzilla mail filtered in
> to a folder. Have you tried sending him a direct mail?
> 

Yes, the first being on January 22nd, that is a month ago.

> p.s.
> 
> I think it is great you are working on all this media production stuff for
> Fedora!

This was one of the weak areas Fedora. My goal is to package as a many software as I can, so that we can create a new Media Creation group on the system menu.
Comment 5 Orcan Ogetbil 2009-02-22 17:58:51 EST
Hans,
I uploaded the new SRPM at
   http://oget.fedorapeople.org/review/ardour-2.7.1-1.fc10.src.rpm
This updates to the new version and also resolves gcc44 issues.

Changelog: 2.7.1-1
- New upstream release 2.7.1.
- Replace gcc43 patch with a gcc44 patch
- Add GenericName to the .desktop file
- Fix encodings of French and Russian manpages


So apart from the main source, I modified the .desktop file, removed the gcc43 patch and put a gcc44 patch. I'd be glad if you update all these in CVS and double glad if you push this also to F-10 testing.
Comment 6 Hans de Goede 2009-02-23 05:36:11 EST
Build for devel and F10, update created:
https://admin.fedoraproject.org/updates/ardour-2.7.1-1.fc10

Closing.
Comment 7 Fedora Update System 2009-04-14 16:22:00 EDT
hydrogen-0.9.4-0.2.rc1.1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/hydrogen-0.9.4-0.2.rc1.1.fc10

Note You need to log in before you can comment on or make changes to this bug.